package com.qmth.exam.reserve.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.exam.reserve.bean.apply.ExamSiteTimePeriodInfo;
import com.qmth.exam.reserve.entity.TimePeriodExamSiteEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TimePeriodExamSiteDao extends BaseMapper<TimePeriodExamSiteEntity> {

    List<ExamSiteTimePeriodInfo> findAllTimePeriodsForApply(
            @Param("applyTaskId") Long applyTaskId,
            @Param("examSiteId") Long examSiteId
    );

    ExamSiteTimePeriodInfo findOneTimePeriodForApply(
            @Param("applyTaskId") Long applyTaskId,
            @Param("examSiteId") Long examSiteId,
            @Param("timePeriodId") Long timePeriodId
    );

}
