package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.exam.reserve.bean.apply.ExamSiteTimePeriodInfo;
import com.qmth.exam.reserve.bean.timeperiod.TimePeriodExamSiteVo;
import com.qmth.exam.reserve.entity.TimePeriodExamSiteEntity;

import java.util.List;

public interface TimePeriodExamSiteService extends IService<TimePeriodExamSiteEntity> {

    List<String> listTimePeriod(Long taskId);

    List<TimePeriodExamSiteVo> ListDetail(Long taskId, Long examSiteId);

    List<ExamSiteTimePeriodInfo> findAllTimePeriodsForApply(Long applyTaskId, Long examSiteId);

    ExamSiteTimePeriodInfo findOneTimePeriodForApply(Long applyTaskId, Long examSiteId, Long timePeriodId);

}
